{
	"name": "form/nc/report/nc-report/reclamation/query/order_row.json",
	"table": [
		{
			"record_type": ["sales"],
			"table": "order_row"
		}
	],
	"parameter": {
		"show_sql": false,
		"start_date": "2025-01-01",
		"end_date_plus": "2025-12-31",
		"sales_order_id_length": 7,
		"subquery": "SELECT SUBSTRING(reclamation.sales_order_id, 1, {{sales_order_id_length}}) FROM reclamation WHERE reclamation.sales_order_id <> '' AND reclamation.creation_date >= '{{start_date}}' AND reclamation.creation_date < '{{end_date_plus}}'"
	},
	"query": [["ordr.order_id", "in", "subquery"]],
	"order": ["ordr.order_id", "<", "ordr.row_number", ">"]
}
